summary refs log tree commit diff
path: root/run_macos_dock.sh.tmpl
diff options
context:
space:
mode:
authorAlen <alen@dotfiles.xyz>2023-09-12 00:06:46 +0400
committerAlen <alen@dotfiles.xyz>2023-09-12 00:12:42 +0400
commit019c873fc8ec98e615d70b2dcaf77ac277a352a0 (patch)
tree2c59efdbb92108b8fed4c76c85a07c74fc98bac0 /run_macos_dock.sh.tmpl
parentad77903eabafa151b7ef9a7d4c26713d7a04a5f8 (diff)
Add shoddy macOS dock tweaks
Diffstat (limited to 'run_macos_dock.sh.tmpl')
-rw-r--r--run_macos_dock.sh.tmpl16
1 files changed, 16 insertions, 0 deletions
diff --git a/run_macos_dock.sh.tmpl b/run_macos_dock.sh.tmpl
new file mode 100644
index 0000000..231fb22
--- /dev/null
+++ b/run_macos_dock.sh.tmpl
@@ -0,0 +1,16 @@
+#!/usr/bin/env bash
+
+set -e
+
+# TODO: Move the lookPath defaults and OS check to chezmoi ignore level
+{{ if eq .chezmoi.os "darwin" -}}
+if which defaults &>/dev/null; then
+    defaults write com.apple.dock autohide-time-modifier -float 0.25
+    defaults write com.apple.dock autohide-delay -float 0
+    defaults write com.apple.dock orientation -string left
+    defaults write com.apple.dock show-recents -bool false
+    defaults write com.apple.dock autohide -bool true
+    defaults write com.apple.dock tilesize -float 50.0
+    killall Dock
+fi
+{{ end }}